=== modified file 'bzrplugins/lpserve.py'
--- bzrplugins/lpserve.py	2009-04-07 22:21:37 +0000
+++ bzrplugins/lpserve.py	2009-05-13 05:36:08 +0000
@@ -88,7 +88,7 @@
 
     def run(self, user_id, port=None, upload_directory=None,
             mirror_directory=None, branchfs_endpoint_url=None, inet=False):
-        from canonical.codehosting.vfs import get_lp_server
+        from lp.codehosting.vfs import get_lp_server
         lp_server = get_lp_server(
             int(user_id), branchfs_endpoint_url,
             upload_directory, mirror_directory)

=== modified file 'cronscripts/branch-scanner.py'
--- cronscripts/branch-scanner.py	2008-04-09 04:44:58 +0000
+++ cronscripts/branch-scanner.py	2009-05-13 05:36:08 +0000
@@ -10,7 +10,7 @@
 import _pythonpath
 import logging
 
-from canonical.codehosting.scanner.branch_scanner import BranchScanner
+from lp.codehosting.scanner.branch_scanner import BranchScanner
 from canonical.config import config
 from canonical.launchpad.scripts.base import LaunchpadCronScript
 from canonical.launchpad.webapp.errorlog import globalErrorUtility

=== modified file 'cronscripts/code-import-dispatcher.py'
--- cronscripts/code-import-dispatcher.py	2008-05-07 04:12:02 +0000
+++ cronscripts/code-import-dispatcher.py	2009-05-13 05:36:08 +0000
@@ -8,7 +8,7 @@
 
 from xmlrpclib import ServerProxy
 
-from canonical.codehosting.codeimport.dispatcher import CodeImportDispatcher
+from lp.codehosting.codeimport.dispatcher import CodeImportDispatcher
 from canonical.config import config
 from canonical.launchpad.scripts.base import LaunchpadScript
 from canonical.launchpad.webapp.errorlog import globalErrorUtility

=== modified file 'cronscripts/create_merge_proposals.py'
--- cronscripts/create_merge_proposals.py	2009-04-17 10:32:16 +0000
+++ cronscripts/create_merge_proposals.py	2009-05-13 05:36:08 +0000
@@ -10,7 +10,7 @@
 from zope.component import getUtility
 
 from canonical.config import config
-from canonical.codehosting.jobs import JobRunner
+from lp.codehosting.jobs import JobRunner
 from lp.code.interfaces.branchmergeproposal import (
     ICreateMergeProposalJobSource,)
 from canonical.launchpad.scripts.base import LaunchpadCronScript

=== modified file 'cronscripts/mpcreationjobs.py'
--- cronscripts/mpcreationjobs.py	2009-04-17 10:32:16 +0000
+++ cronscripts/mpcreationjobs.py	2009-05-13 05:36:08 +0000
@@ -14,8 +14,8 @@
 from zope.component import getUtility
 
 from canonical.config import config
-from canonical.codehosting.vfs import get_scanner_server
-from canonical.codehosting.jobs import JobRunner
+from lp.codehosting.vfs import get_scanner_server
+from lp.codehosting.jobs import JobRunner
 from lp.code.interfaces.branchmergeproposal import (
     IMergeProposalCreatedJobSource,)
 from canonical.launchpad.scripts.base import LaunchpadCronScript

=== modified file 'cronscripts/rosetta-branches.py'
--- cronscripts/rosetta-branches.py	2009-04-07 04:16:54 +0000
+++ cronscripts/rosetta-branches.py	2009-05-13 05:36:08 +0000
@@ -14,8 +14,8 @@
 from zope.component import getUtility
 
 from canonical.config import config
-from canonical.codehosting.vfs.branchfs import get_scanner_server
-from canonical.codehosting.jobs import JobRunner
+from lp.codehosting.vfs.branchfs import get_scanner_server
+from lp.codehosting.jobs import JobRunner
 from lp.code.interfaces.branchjob import IRosettaUploadJobSource
 from canonical.launchpad.scripts.base import LaunchpadCronScript
 from canonical.launchpad.webapp.errorlog import globalErrorUtility

=== modified file 'cronscripts/sendbranchmail.py'
--- cronscripts/sendbranchmail.py	2009-04-17 10:32:16 +0000
+++ cronscripts/sendbranchmail.py	2009-05-13 05:36:08 +0000
@@ -13,8 +13,8 @@
 from zope.component import getUtility
 
 from canonical.config import config
-from canonical.codehosting.vfs import get_scanner_server
-from canonical.codehosting.jobs import JobRunner
+from lp.codehosting.vfs import get_scanner_server
+from lp.codehosting.jobs import JobRunner
 from lp.code.interfaces.branchjob import (
     IRevisionMailJobSource, IRevisionsAddedJobSource)
 from canonical.launchpad.scripts.base import LaunchpadCronScript

=== modified file 'cronscripts/supermirror-pull.py'
--- cronscripts/supermirror-pull.py	2008-09-09 06:14:25 +0000
+++ cronscripts/supermirror-pull.py	2009-05-13 05:36:08 +0000
@@ -9,7 +9,7 @@
 from twisted.python import log as tplog
 from twisted.web.xmlrpc import Proxy
 
-from canonical.codehosting.puller import mirror, scheduler
+from lp.codehosting.puller import mirror, scheduler
 from canonical.config import config
 from canonical.launchpad.interfaces import BranchType
 from canonical.launchpad.scripts import logger_options

=== modified file 'daemons/sftp.tac'
--- daemons/sftp.tac	2008-12-22 04:41:56 +0000
+++ daemons/sftp.tac	2009-05-13 05:36:08 +0000
@@ -7,7 +7,7 @@
 from twisted.application import service
 
 from canonical.launchpad.daemons import tachandler
-from canonical.codehosting.sshserver.service import SSHService
+from lp.codehosting.sshserver.service import SSHService
 
 
 # Construct an Application that includes a supermirror SFTP service. 

=== modified file 'lib/lp/code/interfaces/branch.py'
--- lib/lp/code/interfaces/branch.py	2009-05-08 12:22:24 +0000
+++ lib/lp/code/interfaces/branch.py	2009-05-13 05:36:08 +0000
@@ -46,7 +46,7 @@
 import re
 
 # Ensure correct plugins are loaded. Do not delete this line.
-import canonical.codehosting
+import lp.codehosting
 from bzrlib.branch import (
     BranchReferenceFormat, BzrBranchFormat4, BzrBranchFormat5,
     BzrBranchFormat6, BzrBranchFormat7)

=== modified file 'lib/lp/code/mail/codehandler.py'
--- lib/lp/code/mail/codehandler.py	2009-05-11 04:13:27 +0000
+++ lib/lp/code/mail/codehandler.py	2009-05-13 05:36:08 +0000
@@ -18,8 +18,8 @@
 from zope.interface import implements
 from zope.security.proxy import removeSecurityProxy
 
-from canonical.codehosting.bzrutils import is_branch_stackable
-from canonical.codehosting.vfs import get_lp_server
+from lp.codehosting.bzrutils import is_branch_stackable
+from lp.codehosting.vfs import get_lp_server
 from canonical.launchpad.interfaces.diff import IStaticDiffSource
 from canonical.launchpad.interfaces.mail import (
     IMailHandler, EmailProcessingError)

=== modified file 'lib/lp/code/mail/tests/test_codehandler.py'
--- lib/lp/code/mail/tests/test_codehandler.py	2009-05-12 08:11:06 +0000
+++ lib/lp/code/mail/tests/test_codehandler.py	2009-05-13 05:36:08 +0000
@@ -19,8 +19,8 @@
 from zope.security.proxy import removeSecurityProxy
 
 from canonical.config import config
-from canonical.codehosting.jobs import JobRunner
-from canonical.codehosting.vfs import get_lp_server
+from lp.codehosting.jobs import JobRunner
+from lp.codehosting.vfs import get_lp_server
 from canonical.launchpad.interfaces import (
     BranchSubscriptionNotificationLevel, BranchType,
     CodeReviewNotificationLevel, CodeReviewVote)

=== modified file 'lib/lp/code/model/branchmergeproposal.py'
--- lib/lp/code/model/branchmergeproposal.py	2009-05-11 04:23:19 +0000
+++ lib/lp/code/model/branchmergeproposal.py	2009-05-13 05:36:08 +0000
@@ -31,7 +31,7 @@
 from sqlobject import (
     ForeignKey, IntCol, StringCol, SQLMultipleJoin, SQLObjectNotFound)
 
-from canonical.codehosting.vfs import get_multi_server
+from lp.codehosting.vfs import get_multi_server
 from canonical.config import config
 from canonical.database.constants import DEFAULT, UTC_NOW
 from canonical.database.datetimecol import UtcDateTimeCol

=== modified file 'lib/lp/code/model/tests/test_codeimport.py'
--- lib/lp/code/model/tests/test_codeimport.py	2009-05-12 08:38:55 +0000
+++ lib/lp/code/model/tests/test_codeimport.py	2009-05-13 05:36:08 +0000
@@ -10,7 +10,7 @@
 from storm.store import Store
 from zope.component import getUtility
 
-from canonical.codehosting.codeimport.tests.test_workermonitor import (
+from lp.codehosting.codeimport.tests.test_workermonitor import (
     nuke_codeimport_sample_data)
 from lp.code.model.codeimport import CodeImportSet
 from lp.code.model.codeimportevent import CodeImportEvent

=== modified file 'lib/lp/code/stories/codeimport/xx-codeimport-list.txt'
--- lib/lp/code/stories/codeimport/xx-codeimport-list.txt	2009-05-08 02:50:45 +0000
+++ lib/lp/code/stories/codeimport/xx-codeimport-list.txt	2009-05-13 05:36:08 +0000
@@ -6,7 +6,7 @@
 
     >>> import datetime
     >>> import pytz
-    >>> from canonical.codehosting.codeimport.tests.test_workermonitor import (
+    >>> from lp.codehosting.codeimport.tests.test_workermonitor import (
     ...     nuke_codeimport_sample_data)
     >>> from canonical.database.sqlbase import flush_database_updates
     >>> from lp.code.model.tests.test_codeimport import (

=== modified file 'lib/lp/code/xmlrpc/tests/test_codehosting.py'
--- lib/lp/code/xmlrpc/tests/test_codehosting.py	2009-05-07 01:58:13 +0000
+++ lib/lp/code/xmlrpc/tests/test_codehosting.py	2009-05-13 05:36:08 +0000
@@ -14,7 +14,7 @@
 from zope.component import getUtility
 from zope.security.proxy import removeSecurityProxy
 
-from canonical.codehosting.inmemory import InMemoryFrontend
+from lp.codehosting.inmemory import InMemoryFrontend
 from canonical.database.constants import UTC_NOW
 from canonical.launchpad.ftests import ANONYMOUS, login, logout
 from canonical.launchpad.interfaces.scriptactivity import (

=== renamed directory 'lib/canonical/codehosting' => 'lib/lp/codehosting'
=== modified file 'lib/lp/codehosting/codeimport/tests/test_dispatcher.py'
--- lib/canonical/codehosting/codeimport/tests/test_dispatcher.py	2009-04-29 19:10:17 +0000
+++ lib/lp/codehosting/codeimport/tests/test_dispatcher.py	2009-05-13 05:36:08 +0000
@@ -17,8 +17,8 @@
 from twisted.trial.unittest import TestCase
 
 from canonical.config import config
-from canonical.codehosting.codeimport.dispatcher import CodeImportDispatcher
-from canonical.codehosting.codeimport.tests.servers import (
+from lp.codehosting.codeimport.dispatcher import CodeImportDispatcher
+from lp.codehosting.codeimport.tests.servers import (
     _make_silent_logger)
 from canonical.launchpad import scripts
 from canonical.testing.layers import TwistedLaunchpadZopelessLayer

=== modified file 'lib/lp/codehosting/codeimport/tests/test_foreigntree.py'
--- lib/canonical/codehosting/codeimport/tests/test_foreigntree.py	2009-04-29 19:10:17 +0000
+++ lib/lp/codehosting/codeimport/tests/test_foreigntree.py	2009-05-13 05:36:08 +0000
@@ -13,9 +13,9 @@
 
 from bzrlib.tests import TestCaseWithTransport
 
-from canonical.codehosting.codeimport.foreigntree import (
+from lp.codehosting.codeimport.foreigntree import (
     CVSWorkingTree, SubversionWorkingTree)
-from canonical.codehosting.codeimport.tests.servers import (
+from lp.codehosting.codeimport.tests.servers import (
     CVSServer, SubversionServer)
 from canonical.testing import BaseLayer
 

=== modified file 'lib/lp/codehosting/codeimport/tests/test_uifactory.py'
--- lib/canonical/codehosting/codeimport/tests/test_uifactory.py	2009-05-12 09:07:10 +0000
+++ lib/lp/codehosting/codeimport/tests/test_uifactory.py	2009-05-13 05:36:08 +0000
@@ -6,7 +6,7 @@
 
 import unittest
 
-from canonical.codehosting.codeimport.uifactory import LoggingUIFactory
+from lp.codehosting.codeimport.uifactory import LoggingUIFactory
 from lp.testing import FakeTime, TestCase
 
 

=== modified file 'lib/lp/codehosting/codeimport/tests/test_worker.py'
--- lib/canonical/codehosting/codeimport/tests/test_worker.py	2009-05-07 04:35:35 +0000
+++ lib/lp/codehosting/codeimport/tests/test_worker.py	2009-05-13 05:36:08 +0000
@@ -21,14 +21,14 @@
 from bzrlib.urlutils import join as urljoin
 
 from canonical.cachedproperty import cachedproperty
-from canonical.codehosting import load_optional_plugin
-from canonical.codehosting.codeimport.worker import (
+from lp.codehosting import load_optional_plugin
+from lp.codehosting.codeimport.worker import (
     BazaarBranchStore, CSCVSImportWorker, ForeignTreeStore, ImportWorker,
     PullingImportWorker, get_default_bazaar_branch_store,
     get_default_foreign_tree_store)
-from canonical.codehosting.codeimport.tests.servers import (
+from lp.codehosting.codeimport.tests.servers import (
     CVSServer, GitServer, SubversionServer)
-from canonical.codehosting.tests.helpers import (
+from lp.codehosting.tests.helpers import (
     create_branch_with_one_revision)
 from canonical.config import config
 from canonical.launchpad.testing import LaunchpadObjectFactory

=== modified file 'lib/lp/codehosting/codeimport/tests/test_workermonitor.py'
--- lib/canonical/codehosting/codeimport/tests/test_workermonitor.py	2009-05-08 00:38:24 +0000
+++ lib/lp/codehosting/codeimport/tests/test_workermonitor.py	2009-05-13 05:36:08 +0000
@@ -23,15 +23,15 @@
 from zope.component import getUtility
 from zope.security.proxy import removeSecurityProxy
 
-from canonical.codehosting import load_optional_plugin
-from canonical.codehosting.codeimport.worker import (
+from lp.codehosting import load_optional_plugin
+from lp.codehosting.codeimport.worker import (
     CodeImportSourceDetails, get_default_bazaar_branch_store)
-from canonical.codehosting.codeimport.workermonitor import (
+from lp.codehosting.codeimport.workermonitor import (
     CodeImportWorkerMonitor, CodeImportWorkerMonitorProtocol, ExitQuietly,
     read_only_transaction)
-from canonical.codehosting.codeimport.tests.servers import (
+from lp.codehosting.codeimport.tests.servers import (
     CVSServer, GitServer, SubversionServer, _make_silent_logger)
-from canonical.codehosting.codeimport.tests.test_worker import (
+from lp.codehosting.codeimport.tests.test_worker import (
     clean_up_default_stores_for_import)
 from canonical.config import config
 from canonical.launchpad.database import CodeImport, CodeImportJob

=== modified file 'lib/lp/codehosting/codeimport/worker.py'
--- lib/canonical/codehosting/codeimport/worker.py	2009-05-08 00:21:34 +0000
+++ lib/lp/codehosting/codeimport/worker.py	2009-05-13 05:36:08 +0000
@@ -25,12 +25,12 @@
 from bzrlib.urlutils import join as urljoin
 from bzrlib.upgrade import upgrade
 
-from canonical.codehosting.bzrutils import ensure_base
-from canonical.codehosting.codeimport.foreigntree import (
+from lp.codehosting.bzrutils import ensure_base
+from lp.codehosting.codeimport.foreigntree import (
     CVSWorkingTree, SubversionWorkingTree)
-from canonical.codehosting.codeimport.tarball import (
+from lp.codehosting.codeimport.tarball import (
     create_tarball, extract_tarball)
-from canonical.codehosting.codeimport.uifactory import LoggingUIFactory
+from lp.codehosting.codeimport.uifactory import LoggingUIFactory
 from canonical.config import config
 from lp.code.interfaces.codeimport import RevisionControlSystems
 

=== modified file 'lib/lp/codehosting/codeimport/workermonitor.py'
--- lib/canonical/codehosting/codeimport/workermonitor.py	2009-05-08 00:24:07 +0000
+++ lib/lp/codehosting/codeimport/workermonitor.py	2009-05-13 05:36:08 +0000
@@ -19,7 +19,7 @@
 
 from canonical.config import config
 from canonical.database.sqlbase import begin, commit, rollback
-from canonical.codehosting.codeimport.worker import CodeImportSourceDetails
+from lp.codehosting.codeimport.worker import CodeImportSourceDetails
 from canonical.launchpad.interfaces import (
      ICodeImportJobSet, ICodeImportJobWorkflow, ILibraryFileAliasSet)
 from canonical.launchpad.ftests import login, logout, ANONYMOUS

=== modified file 'lib/lp/codehosting/puller/__init__.py'
--- lib/canonical/codehosting/puller/__init__.py	2008-04-09 16:15:09 +0000
+++ lib/lp/codehosting/puller/__init__.py	2009-05-13 05:36:08 +0000
@@ -16,7 +16,7 @@
     """
     return 'worker-for-branch-%s@supermirror' % (branch_id,)
 
-from canonical.codehosting.puller.scheduler import LockError
+from lp.codehosting.puller.scheduler import LockError
 
 UTC = pytz.timezone('UTC')
 

=== modified file 'lib/lp/codehosting/puller/scheduler.py'
--- lib/canonical/codehosting/puller/scheduler.py	2009-02-18 09:05:32 +0000
+++ lib/lp/codehosting/puller/scheduler.py	2009-05-13 05:36:08 +0000
@@ -26,10 +26,10 @@
 
 import canonical
 from canonical.cachedproperty import cachedproperty
-from canonical.codehosting.vfs import branch_id_to_path
-from canonical.codehosting.puller.worker import (
+from lp.codehosting.vfs import branch_id_to_path
+from lp.codehosting.puller.worker import (
     get_canonical_url_for_branch_name)
-from canonical.codehosting.puller import get_lock_id_for_branch_id
+from lp.codehosting.puller import get_lock_id_for_branch_id
 from canonical.config import config
 from canonical.launchpad.webapp import errorlog
 from canonical.launchpad.xmlrpc import faults

=== modified file 'lib/lp/codehosting/puller/tests/__init__.py'
--- lib/canonical/codehosting/puller/tests/__init__.py	2009-02-18 09:05:32 +0000
+++ lib/lp/codehosting/puller/tests/__init__.py	2009-05-13 05:36:08 +0000
@@ -11,10 +11,10 @@
 from bzrlib.tests import TestCaseWithTransport
 from bzrlib import urlutils
 
-from canonical.codehosting.vfs import branch_id_to_path
-from canonical.codehosting.puller.worker import (
+from lp.codehosting.vfs import branch_id_to_path
+from lp.codehosting.puller.worker import (
     BadUrl, BranchMirrorer, BranchPolicy, PullerWorker, PullerWorkerProtocol)
-from canonical.codehosting.tests.helpers import LoomTestMixin
+from lp.codehosting.tests.helpers import LoomTestMixin
 from canonical.config import config
 from canonical.launchpad.testing import TestCaseWithFactory
 

=== modified file 'lib/lp/codehosting/puller/tests/test_acceptance.py'
--- lib/canonical/codehosting/puller/tests/test_acceptance.py	2009-05-06 15:13:39 +0000
+++ lib/lp/codehosting/puller/tests/test_acceptance.py	2009-05-13 05:36:08 +0000
@@ -28,8 +28,8 @@
 from zope.component import getUtility
 from zope.security.proxy import removeSecurityProxy
 
-from canonical.codehosting.vfs import get_lp_server
-from canonical.codehosting.puller.tests import PullerBranchTestCase
+from lp.codehosting.vfs import get_lp_server
+from lp.codehosting.puller.tests import PullerBranchTestCase
 from canonical.config import config
 from canonical.launchpad.interfaces import BranchType, IScriptActivitySet
 from canonical.testing import ZopelessAppServerLayer

=== modified file 'lib/lp/codehosting/puller/tests/test_errors.py'
--- lib/canonical/codehosting/puller/tests/test_errors.py	2009-03-24 12:43:49 +0000
+++ lib/lp/codehosting/puller/tests/test_errors.py	2009-05-13 05:36:08 +0000
@@ -14,7 +14,7 @@
     BzrError, UnsupportedFormatError, UnknownFormatError, ParamikoNotPresent,
     NotBranchError)
 
-from canonical.codehosting.puller.worker import (
+from lp.codehosting.puller.worker import (
     BadUrlLaunchpad, BadUrlScheme, BadUrlSsh, BranchMirrorer,
     BranchReferenceForbidden, BranchLoopError, PullerWorker,
     PullerWorkerProtocol, StackedOnBranchNotFound)

=== modified file 'lib/lp/codehosting/puller/tests/test_format_comparison.py'
--- lib/canonical/codehosting/puller/tests/test_format_comparison.py	2008-04-09 04:30:22 +0000
+++ lib/lp/codehosting/puller/tests/test_format_comparison.py	2009-05-13 05:36:08 +0000
@@ -6,7 +6,7 @@
 
 import unittest
 
-from canonical.codehosting.puller import worker
+from lp.codehosting.puller import worker
 
 
 # Define a bunch of different fake format classes to pass to identical_formats

=== modified file 'lib/lp/codehosting/puller/tests/test_scheduler.py'
--- lib/canonical/codehosting/puller/tests/test_scheduler.py	2009-04-17 10:32:16 +0000
+++ lib/lp/codehosting/puller/tests/test_scheduler.py	2009-05-13 05:36:08 +0000
@@ -21,9 +21,9 @@
 
 from zope.component import getUtility
 
-from canonical.codehosting.puller import get_lock_id_for_branch_id, scheduler
-from canonical.codehosting.puller.tests import PullerBranchTestCase
-from canonical.codehosting.puller.worker import (
+from lp.codehosting.puller import get_lock_id_for_branch_id, scheduler
+from lp.codehosting.puller.tests import PullerBranchTestCase
+from lp.codehosting.puller.worker import (
     get_canonical_url_for_branch_name)
 from canonical.config import config
 from canonical.launchpad.interfaces import BranchType
@@ -647,7 +647,7 @@
 # TestPullerMasterIntegration.makePullerMaster for more.
 script_header = """\
 from optparse import OptionParser
-from canonical.codehosting.puller.worker import PullerWorkerProtocol
+from lp.codehosting.puller.worker import PullerWorkerProtocol
 import sys, time
 parser = OptionParser()
 (options, arguments) = parser.parse_args()
@@ -976,7 +976,7 @@
         from bzrlib import lockdir
         lockdir._DEFAULT_TIMEOUT_SECONDS = 2.0
         from canonical.launchpad.interfaces import BranchType
-        from canonical.codehosting.puller.worker import (
+        from lp.codehosting.puller.worker import (
             PullerWorker, install_worker_ui_factory)
         branch_type = BranchType.items[branch_type_name]
         install_worker_ui_factory(protocol)

=== modified file 'lib/lp/codehosting/puller/tests/test_worker.py'
--- lib/canonical/codehosting/puller/tests/test_worker.py	2009-05-07 01:55:15 +0000
+++ lib/lp/codehosting/puller/tests/test_worker.py	2009-05-13 05:36:08 +0000
@@ -21,14 +21,14 @@
 from bzrlib.tests import TestCaseInTempDir, TestCaseWithTransport
 from bzrlib.transport import get_transport
 
-from canonical.codehosting.bzrutils import ensure_base
-from canonical.codehosting.puller.worker import (
+from lp.codehosting.bzrutils import ensure_base
+from lp.codehosting.puller.worker import (
     BadUrl, BadUrlLaunchpad, BadUrlScheme, BadUrlSsh, BranchLoopError,
     BranchMirrorer, BranchPolicy, BranchReferenceForbidden,
     HostedBranchPolicy, ImportedBranchPolicy, MirroredBranchPolicy,
     PullerWorkerProtocol, StackedOnBranchNotFound, get_vfs_format_classes,
     install_worker_ui_factory, WORKER_ACTIVITY_NETWORK)
-from canonical.codehosting.puller.tests import (
+from lp.codehosting.puller.tests import (
     AcceptAnythingPolicy, BlacklistPolicy, PullerWorkerMixin, WhitelistPolicy)
 from lp.code.interfaces.branch import BranchType
 from canonical.launchpad.testing import LaunchpadObjectFactory, TestCase

=== modified file 'lib/lp/codehosting/puller/tests/test_worker_formats.py'
--- lib/canonical/codehosting/puller/tests/test_worker_formats.py	2009-03-24 12:43:49 +0000
+++ lib/lp/codehosting/puller/tests/test_worker_formats.py	2009-05-13 05:36:08 +0000
@@ -18,8 +18,8 @@
     from bzrlib.tests.per_repository import TestCaseWithRepository
 
 
-from canonical.codehosting.puller.tests import PullerWorkerMixin
-from canonical.codehosting.tests.helpers import LoomTestMixin
+from lp.codehosting.puller.tests import PullerWorkerMixin
+from lp.codehosting.tests.helpers import LoomTestMixin
 from lazr.uri import URI
 from canonical.testing import reset_logging
 

=== modified file 'lib/lp/codehosting/puller/worker.py'
--- lib/canonical/codehosting/puller/worker.py	2009-05-07 01:55:15 +0000
+++ lib/lp/codehosting/puller/worker.py	2009-05-13 05:36:08 +0000
@@ -19,8 +19,8 @@
 import bzrlib.ui
 
 from canonical.config import config
-from canonical.codehosting.vfs import get_puller_server
-from canonical.codehosting.puller import get_lock_id_for_branch_id
+from lp.codehosting.vfs import get_puller_server
+from lp.codehosting.puller import get_lock_id_for_branch_id
 from lp.code.interfaces.branch import (
     BranchType, get_blacklisted_hostnames)
 from canonical.launchpad.webapp import errorlog

=== modified file 'lib/lp/codehosting/rewrite.py'
--- lib/canonical/codehosting/rewrite.py	2009-04-17 10:32:16 +0000
+++ lib/lp/codehosting/rewrite.py	2009-05-13 05:36:08 +0000
@@ -6,7 +6,7 @@
 
 from bzrlib import urlutils
 
-from canonical.codehosting.vfs import (
+from lp.codehosting.vfs import (
     branch_id_to_path, BranchFileSystemClient)
 from canonical.config import config
 from lp.code.interfaces.codehosting import (

=== modified file 'lib/lp/codehosting/scanner/branch_scanner.py'
--- lib/canonical/codehosting/scanner/branch_scanner.py	2009-05-11 03:03:21 +0000
+++ lib/lp/codehosting/scanner/branch_scanner.py	2009-05-13 05:36:08 +0000
@@ -16,11 +16,11 @@
 from zope.component import getUtility
 
 from lp.code.interfaces.branchscanner import IBranchScanner
-from canonical.codehosting.vfs import get_scanner_server
-from canonical.codehosting.scanner import buglinks, email, mergedetection
-from canonical.codehosting.scanner.bzrsync import (
+from lp.codehosting.vfs import get_scanner_server
+from lp.codehosting.scanner import buglinks, email, mergedetection
+from lp.codehosting.scanner.bzrsync import (
     BzrSync, schedule_translation_upload)
-from canonical.codehosting.scanner.fixture import (
+from lp.codehosting.scanner.fixture import (
     Fixtures, make_zope_event_fixture, run_with_fixture)
 from canonical.launchpad.webapp import canonical_url, errorlog
 

=== modified file 'lib/lp/codehosting/scanner/buglinks.py'
--- lib/canonical/codehosting/scanner/buglinks.py	2009-05-11 06:06:54 +0000
+++ lib/lp/codehosting/scanner/buglinks.py	2009-05-13 05:36:08 +0000
@@ -12,7 +12,7 @@
 from bzrlib.errors import InvalidBugStatus
 from zope.component import adapter, getUtility
 
-from canonical.codehosting.scanner import events
+from lp.codehosting.scanner import events
 from canonical.launchpad.interfaces import (
     BugBranchStatus, IBugBranchSet, IBugSet, ILaunchpadCelebrities,
     NotFoundError)

=== modified file 'lib/lp/codehosting/scanner/bzrsync.py'
--- lib/canonical/codehosting/scanner/bzrsync.py	2009-05-11 03:03:21 +0000
+++ lib/lp/codehosting/scanner/bzrsync.py	2009-05-13 05:36:08 +0000
@@ -23,9 +23,9 @@
 
 from lazr.uri import URI
 
-from canonical.codehosting import iter_list_chunks
-from canonical.codehosting.puller.worker import BranchMirrorer, BranchPolicy
-from canonical.codehosting.scanner import events
+from lp.codehosting import iter_list_chunks
+from lp.codehosting.puller.worker import BranchMirrorer, BranchPolicy
+from lp.codehosting.scanner import events
 from lp.code.interfaces.branch import (
     BranchFormat, ControlFormat, RepositoryFormat)
 from lp.code.interfaces.branchjob import IRosettaUploadJobSource

=== modified file 'lib/lp/codehosting/scanner/email.py'
--- lib/canonical/codehosting/scanner/email.py	2009-05-11 03:03:21 +0000
+++ lib/lp/codehosting/scanner/email.py	2009-05-13 05:36:08 +0000
@@ -10,7 +10,7 @@
 
 from zope.component import adapter, getUtility
 
-from canonical.codehosting.scanner import events
+from lp.codehosting.scanner import events
 from canonical.config import config
 from lp.code.interfaces.branchjob import (
     IRevisionsAddedJobSource, IRevisionMailJobSource)

=== modified file 'lib/lp/codehosting/scanner/mergedetection.py'
--- lib/canonical/codehosting/scanner/mergedetection.py	2009-05-11 03:03:21 +0000
+++ lib/lp/codehosting/scanner/mergedetection.py	2009-05-13 05:36:08 +0000
@@ -12,7 +12,7 @@
 
 from zope.component import adapter, getUtility
 
-from canonical.codehosting.scanner import events
+from lp.codehosting.scanner import events
 
 from lp.code.interfaces.branch import BranchLifecycleStatus
 from lp.code.interfaces.branchcollection import IAllBranches

=== modified file 'lib/lp/codehosting/scanner/tests/test_acceptance.py'
--- lib/canonical/codehosting/scanner/tests/test_acceptance.py	2009-04-17 10:32:16 +0000
+++ lib/lp/codehosting/scanner/tests/test_acceptance.py	2009-05-13 05:36:08 +0000
@@ -19,9 +19,9 @@
 import transaction
 from zope.component import getUtility
 
-from canonical.codehosting.vfs import branch_id_to_path
-from canonical.codehosting.bzrutils import ensure_base
-from canonical.codehosting.tests.helpers import (
+from lp.codehosting.vfs import branch_id_to_path
+from lp.codehosting.bzrutils import ensure_base
+from lp.codehosting.tests.helpers import (
     create_branch_with_one_revision, LoomTestMixin)
 from canonical.config import config
 from lp.code.interfaces.branchlookup import IBranchLookup

=== modified file 'lib/lp/codehosting/scanner/tests/test_buglinks.py'
--- lib/canonical/codehosting/scanner/tests/test_buglinks.py	2009-05-11 06:06:54 +0000
+++ lib/lp/codehosting/scanner/tests/test_buglinks.py	2009-05-13 05:36:08 +0000
@@ -11,10 +11,10 @@
 import zope.component.event
 from zope.component import getUtility
 
-from canonical.codehosting.scanner.buglinks import (
+from lp.codehosting.scanner.buglinks import (
     got_new_revision, BugBranchLinker, set_bug_branch_status)
-from canonical.codehosting.scanner.fixture import make_zope_event_fixture
-from canonical.codehosting.scanner.tests.test_bzrsync import BzrSyncTestCase
+from lp.codehosting.scanner.fixture import make_zope_event_fixture
+from lp.codehosting.scanner.tests.test_bzrsync import BzrSyncTestCase
 from canonical.config import config
 from canonical.launchpad.interfaces import (
     BugBranchStatus, IBugBranchSet, IBugSet, ILaunchpadCelebrities,

=== modified file 'lib/lp/codehosting/scanner/tests/test_bzrsync.py'
--- lib/canonical/codehosting/scanner/tests/test_bzrsync.py	2009-05-11 03:03:21 +0000
+++ lib/lp/codehosting/scanner/tests/test_bzrsync.py	2009-05-13 05:36:08 +0000
@@ -19,10 +19,10 @@
 from twisted.python.util import mergeFunctionMetadata
 from zope.component import getUtility
 
-from canonical.codehosting.bzrutils import ensure_base
-from canonical.codehosting.scanner.bzrsync import (
+from lp.codehosting.bzrutils import ensure_base
+from lp.codehosting.scanner.bzrsync import (
     BzrSync, InvalidStackedBranchURL, schedule_translation_upload)
-from canonical.codehosting.scanner.fixture import make_zope_event_fixture
+from lp.codehosting.scanner.fixture import make_zope_event_fixture
 from canonical.config import config
 from canonical.launchpad.database import (
     BranchRevision, Revision, RevisionAuthor, RevisionParent)

=== modified file 'lib/lp/codehosting/scanner/tests/test_email.py'
--- lib/canonical/codehosting/scanner/tests/test_email.py	2009-05-12 01:39:29 +0000
+++ lib/lp/codehosting/scanner/tests/test_email.py	2009-05-13 05:36:08 +0000
@@ -11,11 +11,11 @@
 import zope.component.event
 from zope.component import getUtility
 
-from canonical.codehosting.jobs import JobRunner
-from canonical.codehosting.scanner.email import (
+from lp.codehosting.jobs import JobRunner
+from lp.codehosting.scanner.email import (
     send_removed_revision_emails, queue_tip_changed_email_jobs)
-from canonical.codehosting.scanner.fixture import make_zope_event_fixture
-from canonical.codehosting.scanner.tests.test_bzrsync import BzrSyncTestCase
+from lp.codehosting.scanner.fixture import make_zope_event_fixture
+from lp.codehosting.scanner.tests.test_bzrsync import BzrSyncTestCase
 from canonical.launchpad.interfaces import (
     BranchSubscriptionDiffSize, BranchSubscriptionNotificationLevel,
     CodeReviewNotificationLevel, IPersonSet)

=== modified file 'lib/lp/codehosting/scanner/tests/test_fixture.py'
--- lib/canonical/codehosting/scanner/tests/test_fixture.py	2009-05-05 03:59:33 +0000
+++ lib/lp/codehosting/scanner/tests/test_fixture.py	2009-05-13 05:36:08 +0000
@@ -8,7 +8,7 @@
 
 from zope.interface import implements
 
-from canonical.codehosting.scanner.fixture import (
+from lp.codehosting.scanner.fixture import (
     Fixtures, FixtureWithCleanup, IFixture, run_with_fixture, with_fixture)
 from canonical.launchpad.testing import TestCase
 

=== modified file 'lib/lp/codehosting/scanner/tests/test_formats.py'
--- lib/canonical/codehosting/scanner/tests/test_formats.py	2009-04-17 10:32:16 +0000
+++ lib/lp/codehosting/scanner/tests/test_formats.py	2009-05-13 05:36:08 +0000
@@ -6,7 +6,7 @@
 
 import unittest
 
-from canonical.codehosting.scanner.tests.test_bzrsync import BzrSyncTestCase
+from lp.codehosting.scanner.tests.test_bzrsync import BzrSyncTestCase
 from lp.code.interfaces.branch import (
     BranchFormat, ControlFormat, RepositoryFormat)
 

=== modified file 'lib/lp/codehosting/scanner/tests/test_mergedetection.py'
--- lib/canonical/codehosting/scanner/tests/test_mergedetection.py	2009-05-11 03:03:21 +0000
+++ lib/lp/codehosting/scanner/tests/test_mergedetection.py	2009-05-13 05:36:08 +0000
@@ -12,10 +12,10 @@
 
 from zope.component import getUtility
 
-from canonical.codehosting.scanner import events
-from canonical.codehosting.scanner.fixture import make_zope_event_fixture
-from canonical.codehosting.scanner import mergedetection
-from canonical.codehosting.scanner.tests.test_bzrsync import (
+from lp.codehosting.scanner import events
+from lp.codehosting.scanner.fixture import make_zope_event_fixture
+from lp.codehosting.scanner import mergedetection
+from lp.codehosting.scanner.tests.test_bzrsync import (
     BzrSyncTestCase, run_as_db_user)
 from canonical.config import config
 from lp.code.interfaces.branch import BranchLifecycleStatus

=== modified file 'lib/lp/codehosting/scripts/modifiedbranches.py'
--- lib/canonical/codehosting/scripts/modifiedbranches.py	2009-04-07 23:57:59 +0000
+++ lib/lp/codehosting/scripts/modifiedbranches.py	2009-05-13 05:36:08 +0000
@@ -13,7 +13,7 @@
 import pytz
 from zope.component import getUtility
 
-from canonical.codehosting.vfs import branch_id_to_path
+from lp.codehosting.vfs import branch_id_to_path
 from canonical.config import config
 from canonical.launchpad.scripts.base import (
     LaunchpadScript, LaunchpadScriptFailure)

=== modified file 'lib/lp/codehosting/scripts/tests/test_modifiedbranches.py'
--- lib/canonical/codehosting/scripts/tests/test_modifiedbranches.py	2009-04-07 23:57:59 +0000
+++ lib/lp/codehosting/scripts/tests/test_modifiedbranches.py	2009-05-13 05:36:08 +0000
@@ -10,9 +10,9 @@
 
 import pytz
 
-from canonical.codehosting.scripts.modifiedbranches import (
+from lp.codehosting.scripts.modifiedbranches import (
     ModifiedBranchesScript)
-from canonical.codehosting.vfs import branch_id_to_path
+from lp.codehosting.vfs import branch_id_to_path
 from canonical.config import config
 from canonical.launchpad.scripts.base import LaunchpadScriptFailure
 from canonical.launchpad.testing import TestCase, TestCaseWithFactory

=== modified file 'lib/lp/codehosting/sftp.py'
--- lib/canonical/codehosting/sftp.py	2009-02-18 09:05:32 +0000
+++ lib/lp/codehosting/sftp.py	2009-05-13 05:36:08 +0000
@@ -35,8 +35,8 @@
 from zope.event import notify
 from zope.interface import implements
 
-from canonical.codehosting.vfs import AsyncLaunchpadTransport, LaunchpadServer
-from canonical.codehosting.sshserver import accesslog
+from lp.codehosting.vfs import AsyncLaunchpadTransport, LaunchpadServer
+from lp.codehosting.sshserver import accesslog
 from canonical.config import config
 from canonical.twistedsupport import gatherResults
 

=== modified file 'lib/lp/codehosting/sshserver/auth.py'
--- lib/canonical/codehosting/sshserver/auth.py	2009-04-17 10:32:16 +0000
+++ lib/lp/codehosting/sshserver/auth.py	2009-05-13 05:36:08 +0000
@@ -36,11 +36,11 @@
 from zope.event import notify
 from zope.interface import implements
 
-from canonical.codehosting import sftp
-from canonical.codehosting.sshserver import accesslog
-from canonical.codehosting.sshserver.session import (
+from lp.codehosting import sftp
+from lp.codehosting.sshserver import accesslog
+from lp.codehosting.sshserver.session import (
     launch_smart_server, PatchedSSHSession)
-from canonical.codehosting.vfs.branchfsclient import trap_fault
+from lp.codehosting.vfs.branchfsclient import trap_fault
 from canonical.config import config
 from canonical.launchpad.xmlrpc import faults
 

=== modified file 'lib/lp/codehosting/sshserver/service.py'
--- lib/canonical/codehosting/sshserver/service.py	2009-03-24 12:43:49 +0000
+++ lib/lp/codehosting/sshserver/service.py	2009-05-13 05:36:08 +0000
@@ -24,8 +24,8 @@
 
 from zope.event import notify
 
-from canonical.codehosting.sshserver import accesslog
-from canonical.codehosting.sshserver.auth import get_portal, SSHUserAuthServer
+from lp.codehosting.sshserver import accesslog
+from lp.codehosting.sshserver.auth import get_portal, SSHUserAuthServer
 from canonical.config import config
 from canonical.twistedsupport import gatherResults
 

=== modified file 'lib/lp/codehosting/sshserver/session.py'
--- lib/canonical/codehosting/sshserver/session.py	2009-03-24 12:43:49 +0000
+++ lib/lp/codehosting/sshserver/session.py	2009-05-13 05:36:08 +0000
@@ -20,8 +20,8 @@
 from twisted.python import log
 
 from canonical.config import config
-from canonical.codehosting import get_bzr_path
-from canonical.codehosting.sshserver import accesslog
+from lp.codehosting import get_bzr_path
+from lp.codehosting.sshserver import accesslog
 
 
 class PatchedSSHSession(session.SSHSession, object):

=== modified file 'lib/lp/codehosting/sshserver/tests/test_auth.py'
--- lib/canonical/codehosting/sshserver/tests/test_auth.py	2009-04-17 10:32:16 +0000
+++ lib/lp/codehosting/sshserver/tests/test_auth.py	2009-05-13 05:36:08 +0000
@@ -19,7 +19,7 @@
 
 from twisted.trial.unittest import TestCase as TrialTestCase
 
-from canonical.codehosting.sshserver import auth, service
+from lp.codehosting.sshserver import auth, service
 from canonical.config import config
 from canonical.launchpad.xmlrpc import faults
 from canonical.testing.layers import TwistedLayer

=== modified file 'lib/lp/codehosting/sshserver/tests/test_logging.py'
--- lib/canonical/codehosting/sshserver/tests/test_logging.py	2009-01-09 05:07:47 +0000
+++ lib/lp/codehosting/sshserver/tests/test_logging.py	2009-05-13 05:36:08 +0000
@@ -17,7 +17,7 @@
 import zope.component.event
 from zope.event import notify
 
-from canonical.codehosting.sshserver.accesslog import (
+from lp.codehosting.sshserver.accesslog import (
     _log_event, get_access_logger, get_codehosting_logger, LoggingEvent,
     LoggingManager)
 from canonical.config import config

=== modified file 'lib/lp/codehosting/sshserver/tests/test_session.py'
--- lib/canonical/codehosting/sshserver/tests/test_session.py	2009-02-10 08:43:33 +0000
+++ lib/lp/codehosting/sshserver/tests/test_session.py	2009-05-13 05:36:08 +0000
@@ -12,11 +12,11 @@
 from twisted.internet.process import ProcessExitedAlready
 from twisted.internet.protocol import ProcessProtocol
 
-from canonical.codehosting.sshserver.auth import LaunchpadAvatar
-from canonical.codehosting.tests.helpers import AvatarTestCase
+from lp.codehosting.sshserver.auth import LaunchpadAvatar
+from lp.codehosting.tests.helpers import AvatarTestCase
 
-from canonical.codehosting import get_bzr_path, get_bzr_plugins_path
-from canonical.codehosting.sshserver.session import (
+from lp.codehosting import get_bzr_path, get_bzr_plugins_path
+from lp.codehosting.sshserver.session import (
     ExecOnlySession, ForbiddenCommand, RestrictedExecOnlySession)
 
 

=== modified file 'lib/lp/codehosting/tests/helpers.py'
--- lib/canonical/codehosting/tests/helpers.py	2009-05-06 15:13:39 +0000
+++ lib/lp/codehosting/tests/helpers.py	2009-05-13 05:36:08 +0000
@@ -25,7 +25,7 @@
 from bzrlib.plugins.loom import branch as loom_branch
 from bzrlib.tests import TestNotApplicable, TestSkipped
 
-from canonical.codehosting.vfs import branch_id_to_path
+from lp.codehosting.vfs import branch_id_to_path
 from canonical.config import config
 from canonical.launchpad.interfaces import BranchType
 from canonical.testing import TwistedLayer

=== modified file 'lib/lp/codehosting/tests/test_acceptance.py'
--- lib/canonical/codehosting/tests/test_acceptance.py	2009-05-06 15:13:39 +0000
+++ lib/lp/codehosting/tests/test_acceptance.py	2009-05-13 05:36:08 +0000
@@ -15,13 +15,13 @@
 from bzrlib.urlutils import local_path_from_url
 from bzrlib.workingtree import WorkingTree
 
-from canonical.codehosting.bzrutils import DenyingServer
-from canonical.codehosting.tests.helpers import (
+from lp.codehosting.bzrutils import DenyingServer
+from lp.codehosting.tests.helpers import (
     adapt_suite, LoomTestMixin)
-from canonical.codehosting.tests.servers import (
+from lp.codehosting.tests.servers import (
     CodeHostingTac, set_up_test_user, SSHCodeHostingServer)
-from canonical.codehosting import get_bzr_path, get_bzr_plugins_path
-from canonical.codehosting.vfs import branch_id_to_path
+from lp.codehosting import get_bzr_path, get_bzr_plugins_path
+from lp.codehosting.vfs import branch_id_to_path
 from canonical.config import config
 from canonical.database.constants import UTC_NOW
 from canonical.launchpad import database
@@ -607,7 +607,7 @@
 
 
 def make_server_tests(base_suite, servers):
-    from canonical.codehosting.tests.helpers import (
+    from lp.codehosting.tests.helpers import (
         CodeHostingTestProviderAdapter)
     adapter = CodeHostingTestProviderAdapter(servers)
     return adapt_suite(adapter, base_suite)

=== modified file 'lib/lp/codehosting/tests/test_bzrutils.py'
--- lib/canonical/codehosting/tests/test_bzrutils.py	2009-05-06 15:13:39 +0000
+++ lib/lp/codehosting/tests/test_bzrutils.py	2009-05-13 05:36:08 +0000
@@ -12,9 +12,9 @@
 from bzrlib.tests import (
     TestCaseWithTransport, TestLoader, TestNotApplicable)
 from bzrlib.tests.branch_implementations import TestCaseWithBzrDir
-from canonical.codehosting.bzrutils import (
+from lp.codehosting.bzrutils import (
     DenyingServer, get_branch_stacked_on_url, is_branch_stackable)
-from canonical.codehosting.tests.helpers import TestResultWrapper
+from lp.codehosting.tests.helpers import TestResultWrapper
 
 
 class TestGetBranchStackedOnURL(TestCaseWithBzrDir):

=== modified file 'lib/lp/codehosting/tests/test_jobs.py'
--- lib/canonical/codehosting/tests/test_jobs.py	2009-05-12 08:11:06 +0000
+++ lib/lp/codehosting/tests/test_jobs.py	2009-05-13 05:36:08 +0000
@@ -9,7 +9,7 @@
 from canonical.testing import (LaunchpadZopelessLayer)
 
 from canonical.config import config
-from canonical.codehosting.jobs import JobRunner
+from lp.codehosting.jobs import JobRunner
 from lp.code.model.branchjob import RevisionMailJob
 from canonical.launchpad.interfaces import (
     BranchSubscriptionNotificationLevel,

=== modified file 'lib/lp/codehosting/tests/test_rewrite.py'
--- lib/canonical/codehosting/tests/test_rewrite.py	2009-04-29 19:10:17 +0000
+++ lib/lp/codehosting/tests/test_rewrite.py	2009-05-13 05:36:08 +0000
@@ -9,9 +9,9 @@
 import subprocess
 import unittest
 
-from canonical.codehosting.vfs import branch_id_to_path
-from canonical.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
-from canonical.codehosting.rewrite import BranchRewriter
+from lp.codehosting.vfs import branch_id_to_path
+from lp.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
+from lp.codehosting.rewrite import BranchRewriter
 from canonical.config import config
 from canonical.launchpad.testing import TestCase, TestCaseWithFactory
 from canonical.launchpad.scripts import QuietFakeLogger

=== modified file 'lib/lp/codehosting/tests/test_sftp.py'
--- lib/canonical/codehosting/tests/test_sftp.py	2009-03-24 12:43:49 +0000
+++ lib/lp/codehosting/tests/test_sftp.py	2009-05-13 05:36:08 +0000
@@ -18,10 +18,10 @@
 from twisted.python.util import mergeFunctionMetadata
 from twisted.trial.unittest import TestCase as TrialTestCase
 
-from canonical.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
-from canonical.codehosting.sftp import (
+from lp.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
+from lp.codehosting.sftp import (
     FatLocalTransport, TransportSFTPServer, FileIsADirectory)
-from canonical.codehosting.sshserver.auth import LaunchpadAvatar
+from lp.codehosting.sshserver.auth import LaunchpadAvatar
 from canonical.launchpad.testing import LaunchpadObjectFactory
 from canonical.testing.layers import TwistedLayer
 

=== modified file 'lib/lp/codehosting/vfs/__init__.py'
--- lib/canonical/codehosting/vfs/__init__.py	2009-03-02 02:56:25 +0000
+++ lib/lp/codehosting/vfs/__init__.py	2009-05-13 05:36:08 +0000
@@ -12,8 +12,8 @@
     'LaunchpadServer',
     ]
 
-from canonical.codehosting.vfs.branchfs import (
+from lp.codehosting.vfs.branchfs import (
     AsyncLaunchpadTransport, branch_id_to_path, get_lp_server,
     get_multi_server, get_puller_server, get_scanner_server, LaunchpadServer)
-from canonical.codehosting.vfs.branchfsclient import (
+from lp.codehosting.vfs.branchfsclient import (
     BlockingProxy,BranchFileSystemClient)

=== modified file 'lib/lp/codehosting/vfs/branchfs.py'
--- lib/canonical/codehosting/vfs/branchfs.py	2009-05-06 15:13:39 +0000
+++ lib/lp/codehosting/vfs/branchfs.py	2009-05-13 05:36:08 +0000
@@ -69,10 +69,10 @@
 
 from zope.interface import implements, Interface
 
-from canonical.codehosting.vfs.branchfsclient import (
+from lp.codehosting.vfs.branchfsclient import (
     BlockingProxy, BranchFileSystemClient, trap_fault)
-from canonical.codehosting.bzrutils import ensure_base
-from canonical.codehosting.vfs.transport import (
+from lp.codehosting.bzrutils import ensure_base
+from lp.codehosting.vfs.transport import (
     AsyncVirtualServer, AsyncVirtualTransport, _MultiServer,
     get_chrooted_transport, get_readonly_transport, TranslationError)
 from canonical.config import config

=== modified file 'lib/lp/codehosting/vfs/tests/test_branchfs.py'
--- lib/canonical/codehosting/vfs/tests/test_branchfs.py	2009-05-06 15:13:39 +0000
+++ lib/lp/codehosting/vfs/tests/test_branchfs.py	2009-05-13 05:36:08 +0000
@@ -21,14 +21,14 @@
 from twisted.internet import defer
 from twisted.trial.unittest import TestCase as TrialTestCase
 
-from canonical.codehosting.vfs.branchfs import (
+from lp.codehosting.vfs.branchfs import (
     AsyncLaunchpadTransport, branch_id_to_path, LaunchpadInternalServer,
     LaunchpadServer, BranchTransportDispatch, TransportDispatch,
     UnknownTransportType)
-from canonical.codehosting.bzrutils import ensure_base
-from canonical.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
-from canonical.codehosting.sftp import FatLocalTransport
-from canonical.codehosting.vfs.transport import AsyncVirtualTransport
+from lp.codehosting.bzrutils import ensure_base
+from lp.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
+from lp.codehosting.sftp import FatLocalTransport
+from lp.codehosting.vfs.transport import AsyncVirtualTransport
 from lp.code.interfaces.branch import BranchType
 from lp.code.interfaces.codehosting import (
     BRANCH_TRANSPORT, CONTROL_TRANSPORT)

=== modified file 'lib/lp/codehosting/vfs/tests/test_branchfsclient.py'
--- lib/canonical/codehosting/vfs/tests/test_branchfsclient.py	2009-04-17 10:32:16 +0000
+++ lib/lp/codehosting/vfs/tests/test_branchfsclient.py	2009-05-13 05:36:08 +0000
@@ -10,9 +10,9 @@
 from twisted.python.failure import Failure
 from twisted.trial.unittest import TestCase
 
-from canonical.codehosting.vfs.branchfsclient import (
+from lp.codehosting.vfs.branchfsclient import (
     BranchFileSystemClient, NotInCache, trap_fault)
-from canonical.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
+from lp.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
 from lp.code.interfaces.codehosting import BRANCH_TRANSPORT
 from canonical.launchpad.testing import FakeTime
 from canonical.launchpad.xmlrpc.tests.test_faults import (

=== modified file 'lib/lp/codehosting/vfs/tests/test_filesystem.py'
--- lib/canonical/codehosting/vfs/tests/test_filesystem.py	2009-04-17 10:32:16 +0000
+++ lib/lp/codehosting/vfs/tests/test_filesystem.py	2009-05-13 05:36:08 +0000
@@ -14,8 +14,8 @@
 from bzrlib.transport.memory import MemoryTransport
 from bzrlib.urlutils import escape
 
-from canonical.codehosting.vfs.branchfs import LaunchpadServer
-from canonical.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
+from lp.codehosting.vfs.branchfs import LaunchpadServer
+from lp.codehosting.inmemory import InMemoryFrontend, XMLRPCWrapper
 from lp.code.interfaces.branchtarget import IBranchTarget
 
 

=== modified file 'lib/lp/codehosting/vfs/tests/test_transport.py'
--- lib/canonical/codehosting/vfs/tests/test_transport.py	2009-04-29 19:10:17 +0000
+++ lib/lp/codehosting/vfs/tests/test_transport.py	2009-05-13 05:36:08 +0000
@@ -11,10 +11,10 @@
 from bzrlib.transport.local import LocalTransport
 from bzrlib.urlutils import local_path_to_url
 
-from canonical.codehosting.vfs.branchfs import LaunchpadInternalServer
-from canonical.codehosting.vfs.branchfsclient import BlockingProxy
-from canonical.codehosting.inmemory import InMemoryFrontend
-from canonical.codehosting.tests.helpers import TestResultWrapper
+from lp.codehosting.vfs.branchfs import LaunchpadInternalServer
+from lp.codehosting.vfs.branchfsclient import BlockingProxy
+from lp.codehosting.inmemory import InMemoryFrontend
+from lp.codehosting.tests.helpers import TestResultWrapper
 
 
 class TestingServer(LaunchpadInternalServer):

=== modified file 'lib/lp/codehosting/vfs/tests/test_transport_extensions.py'
--- lib/canonical/codehosting/vfs/tests/test_transport_extensions.py	2009-02-18 09:05:32 +0000
+++ lib/lp/codehosting/vfs/tests/test_transport_extensions.py	2009-05-13 05:36:08 +0000
@@ -8,7 +8,7 @@
 
 from bzrlib.transport.memory import MemoryTransport
 
-from canonical.codehosting.vfs.transport import get_readonly_transport
+from lp.codehosting.vfs.transport import get_readonly_transport
 from canonical.launchpad.testing import TestCase
 
 

=== modified file 'lib/lp/codehosting/vfs/transport.py'
--- lib/canonical/codehosting/vfs/transport.py	2009-03-03 22:23:51 +0000
+++ lib/lp/codehosting/vfs/transport.py	2009-05-13 05:36:08 +0000
@@ -28,7 +28,7 @@
     unregister_transport)
 
 from twisted.internet import defer
-from canonical.codehosting.bzrutils import ensure_base
+from lp.codehosting.bzrutils import ensure_base
 from canonical.twistedsupport import extract_result, gatherResults
 
 

=== modified file 'lib/lp/registry/tests/test_prf_hose.py'
--- lib/lp/registry/tests/test_prf_hose.py	2009-04-17 10:32:16 +0000
+++ lib/lp/registry/tests/test_prf_hose.py	2009-05-13 05:36:08 +0000
@@ -6,7 +6,7 @@
 import unittest
 
 from canonical.testing import reset_logging
-from canonical.codehosting.codeimport.tests.helpers import (
+from lp.codehosting.codeimport.tests.helpers import (
     instrument_method, InstrumentedMethodObserver)
 
 

=== modified file 'lib/lp/testing/__init__.py'
--- lib/lp/testing/__init__.py	2009-05-12 09:07:10 +0000
+++ lib/lp/testing/__init__.py	2009-05-13 05:36:08 +0000
@@ -20,7 +20,7 @@
 from zope.security.proxy import (
     isinstance as zope_isinstance, removeSecurityProxy)
 
-from canonical.codehosting.vfs import branch_id_to_path, get_multi_server
+from lp.codehosting.vfs import branch_id_to_path, get_multi_server
 from canonical.config import config
 # Import the login and logout functions here as it is a much better
 # place to import them from in tests.
@@ -477,7 +477,7 @@
         :param real_server: If true, use the "real" code hosting server,
             using an xmlrpc server, etc.
         """
-        from canonical.codehosting.scanner.tests.test_bzrsync import (
+        from lp.codehosting.scanner.tests.test_bzrsync import (
             FakeTransportServer)
         from bzrlib.transport import get_transport
         self.useTempBzrHome()

=== modified file 'lib/lp/testing/factory.py'
--- lib/lp/testing/factory.py	2009-05-12 21:52:56 +0000
+++ lib/lp/testing/factory.py	2009-05-13 05:36:08 +0000
@@ -30,7 +30,7 @@
 
 from canonical.autodecorate import AutoDecorate
 from canonical.config import config
-from canonical.codehosting.codeimport.worker import CodeImportSourceDetails
+from lp.codehosting.codeimport.worker import CodeImportSourceDetails
 from canonical.database.sqlbase import flush_database_updates
 from canonical.librarian.interfaces import ILibrarianClient
 from lp.soyuz.adapters.packagelocation import PackageLocation

=== modified file 'scripts/branch-rewrite.py'
--- scripts/branch-rewrite.py	2009-02-18 09:05:32 +0000
+++ scripts/branch-rewrite.py	2009-05-13 05:36:08 +0000
@@ -13,8 +13,8 @@
 import sys
 import xmlrpclib
 
-from canonical.codehosting.vfs import BlockingProxy
-from canonical.codehosting.rewrite import BranchRewriter
+from lp.codehosting.vfs import BlockingProxy
+from lp.codehosting.rewrite import BranchRewriter
 from canonical.config import config
 from canonical.launchpad.scripts.base import LaunchpadScript
 

=== modified file 'scripts/code-import-worker-db.py'
--- scripts/code-import-worker-db.py	2009-01-09 05:07:47 +0000
+++ scripts/code-import-worker-db.py	2009-05-13 05:36:08 +0000
@@ -21,7 +21,7 @@
 from twisted.internet import defer, reactor
 from twisted.python import log
 
-from canonical.codehosting.codeimport.workermonitor import (
+from lp.codehosting.codeimport.workermonitor import (
     CodeImportWorkerMonitor)
 from canonical.launchpad.scripts.base import LaunchpadScript
 from canonical.twistedsupport.loggingsupport import set_up_oops_reporting

=== modified file 'scripts/code-import-worker.py'
--- scripts/code-import-worker.py	2009-04-17 10:32:16 +0000
+++ scripts/code-import-worker.py	2009-05-13 05:36:08 +0000
@@ -18,8 +18,8 @@
 
 from optparse import OptionParser
 
-from canonical.codehosting import load_optional_plugin
-from canonical.codehosting.codeimport.worker import (
+from lp.codehosting import load_optional_plugin
+from lp.codehosting.codeimport.worker import (
     CSCVSImportWorker, CodeImportSourceDetails, PullingImportWorker,
     get_default_bazaar_branch_store, get_default_foreign_tree_store)
 from canonical.launchpad import scripts

=== modified file 'scripts/mirror-branch.py'
--- scripts/mirror-branch.py	2008-11-27 04:43:01 +0000
+++ scripts/mirror-branch.py	2009-05-13 05:36:08 +0000
@@ -33,7 +33,7 @@
 
 import bzrlib.repository
 
-from canonical.codehosting.puller.worker import (
+from lp.codehosting.puller.worker import (
     install_worker_ui_factory, PullerWorker, PullerWorkerProtocol)
 from canonical.launchpad.interfaces import BranchType
 from canonical.launchpad.webapp.errorlog import globalErrorUtility

=== modified file 'scripts/modified-branches.py'
--- scripts/modified-branches.py	2009-04-06 01:59:24 +0000
+++ scripts/modified-branches.py	2009-05-13 05:36:08 +0000
@@ -9,7 +9,7 @@
 
 import _pythonpath
 
-from canonical.codehosting.scripts.modifiedbranches import (
+from lp.codehosting.scripts.modifiedbranches import (
     ModifiedBranchesScript)
 
 

=== modified file 'scripts/update-stacked-on.py'
--- scripts/update-stacked-on.py	2009-02-18 09:05:32 +0000
+++ scripts/update-stacked-on.py	2009-05-13 05:36:08 +0000
@@ -25,11 +25,11 @@
 from bzrlib.config import TransportConfig
 from bzrlib import errors
 
-from canonical.codehosting.branchfs import LaunchpadInternalServer
-from canonical.codehosting.vfs import BlockingProxy
-from canonical.codehosting.vfs.transport import (
+from lp.codehosting.branchfs import LaunchpadInternalServer
+from lp.codehosting.vfs import BlockingProxy
+from lp.codehosting.vfs.transport import (
     get_chrooted_transport, get_readonly_transport, _MultiServer)
-from canonical.codehosting.bzrutils import get_branch_stacked_on_url
+from lp.codehosting.bzrutils import get_branch_stacked_on_url
 from canonical.config import config
 from canonical.launchpad.scripts.base import LaunchpadScript
 

=== modified file 'utilities/get-branch-info'
--- utilities/get-branch-info	2009-03-24 12:43:49 +0000
+++ utilities/get-branch-info	2009-05-13 05:36:08 +0000
@@ -12,7 +12,7 @@
 
 from zope.component import getUtility
 
-from canonical.codehosting.vfs import branch_id_to_path
+from lp.codehosting.vfs import branch_id_to_path
 from canonical.config import config
 from canonical.launchpad.interfaces.branch import BranchType
 from canonical.launchpad.interfaces.branchlookup import IBranchLookup

=== modified file 'utilities/make-dummy-hosted-branches'
--- utilities/make-dummy-hosted-branches	2009-02-10 08:55:59 +0000
+++ utilities/make-dummy-hosted-branches	2009-05-13 05:36:08 +0000
@@ -23,7 +23,7 @@
 import transaction
 from zope.component import getUtility
 
-from canonical.codehosting.tests.helpers import make_bazaar_branch_and_tree
+from lp.codehosting.tests.helpers import make_bazaar_branch_and_tree
 from canonical.config import config
 from canonical.database.sqlbase import sqlvalues
 from canonical.launchpad.database import Branch

=== modified file 'utilities/mock-code-import'
--- utilities/mock-code-import	2008-02-22 00:39:23 +0000
+++ utilities/mock-code-import	2009-05-13 05:36:08 +0000
@@ -25,7 +25,7 @@
 import tempfile
 import transaction
 
-from canonical.codehosting.codeimport.tests.test_foreigntree import (
+from lp.codehosting.codeimport.tests.test_foreigntree import (
     SubversionServer)
 from canonical.launchpad.scripts import execute_zcml_for_scripts
 from canonical.launchpad.testing import LaunchpadObjectFactory

